Package com.google.javascript.rhino

# Class InputId

java.lang.Object
com.google.javascript.rhino.InputId

All Implemented Interfaces:
  `Serializable`

public class InputId extends Object implements Serializable
An id used uniquely identify a CompilerInput

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`InputId(String id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getIdName()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

public static final long serialVersionUID

See Also:
  - Constant Field Values

## Constructor Details

### InputId

public InputId(String id)

## Method Details

### getIdName

public String getIdName()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`